nxt.voting

## Class PollCreationAttachment.PollBuilder

- java.lang.Object
- - nxt.voting.PollCreationAttachment.PollBuilder

- Enclosing class:
    PollCreationAttachment

      public static final class PollCreationAttachment.PollBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PollBuilder(java.lang.String pollName, java.lang.String pollDescription, java.lang.String[] pollOptions, int finishHeight, byte votingModel, byte minNumberOfOptions, byte maxNumberOfOptions, byte minRangeValue, byte maxRangeValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PollCreationAttachment` | `build()`
    `PollCreationAttachment.PollBuilder` | `holdingId(long holdingId)`
    `PollCreationAttachment.PollBuilder` | `minBalance(byte minBalanceModel, long minBalance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PollBuilder

          public PollBuilder(java.lang.String pollName,
                             java.lang.String pollDescription,
                             java.lang.String[] pollOptions,
                             int finishHeight,
                             byte votingModel,
                             byte minNumberOfOptions,
                             byte maxNumberOfOptions,
                             byte minRangeValue,
                             byte maxRangeValue)

  - ### Method Detail

    - #### minBalance

          public PollCreationAttachment.PollBuilder minBalance(byte minBalanceModel,
                                                               long minBalance)

    - #### holdingId

          public PollCreationAttachment.PollBuilder holdingId(long holdingId)

    - #### build

          public PollCreationAttachment build()